**Full name**: projects.locations.indexEndpoints.list

Lists IndexEndpoints in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/indexEndpoints`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location from which to list the IndexEndpoints. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` Optional. An expression for filtering the results of the request. For field names both snake_case and camelCase are supported.

- `indexEndpoint` supports = and !=. `indexEndpoint` represents the IndexEndpoint id, ie. the last segment of the IndexEndpoint's `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#IndexEndpoint.FIELDS.name`.
- `displayName` supports =, != and regex() (uses [re2](https://github.com/google/re2/wiki/Syntax) syntax)
- `labels` supports general map functions that is: `labels.key=value` - key:value equality `labels.key:* or labels:key - key existence
  A key including a space must be quoted.`labels."a key"\`.

Some examples: \* `indexEndpoint="1"` \* `displayName="myDisplayName"` \* `regex(displayName, "^A") -> The display name starts with an A.
*`labels.myKey="myValue"\`
`pageSize` `integer` Optional. The standard list page size.
`pageToken` `string` Optional. The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints/list#body.ListIndexEndpointsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints/list#google.cloud.aiplatform.v1.IndexEndpointService.ListIndexEndpoints` call.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints/list#google.cloud.aiplatform.v1.IndexEndpointService.ListIndexEndpoints`.

If successful, the response body contains data with the following structure:
Fields `indexEndpoints[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#IndexEndpoint`)`` List of IndexEndpoints in the requested page.
`nextPageToken` `string` A token to retrieve next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints/list#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "indexEndpoints": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#IndexEndpoint`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.indexEndpoints.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).